<?php

namespace Drupal\layout_settings;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\layout_settings\Icon\SvgIconBuilder;

/**
 * Alter core or contrib services.
 */
class LayoutSettingsServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    $container
      ->getDefinition('layout.icon_builder')
      ->setClass(SvgIconBuilder::class);
  }

}
